- Qt 5.5
- Qt3D Module
- C++ Classes
- QOpenGLInformationService
- Qt 5.5.1 Reference Documentation

# QOpenGLInformationService Class

(Qt3D::QOpenGLInformationService)

Interface for a Qt3D OpenGL information service More...

Header: | #include <QOpenGLInformationService>
qmake: | QT += 3dcore
Inherits: | QAbstractServiceProvider
Inherited By: |

- List of all members, including inherited members

## Public Functions

virtual QSurfaceFormat | format() const = 0

- 2 public functions inherited from Qt3D::QAbstractServiceProvider

## Protected Functions

| QOpenGLInformationService(const QString & description = QString())

## Detailed Description

Interface for a Qt3D OpenGL information service

This is an interface class that should be subclassesd by providers of the OpenGL information service. The service can be used to query various properties of the underlying OpenGL implementation without having to worry about having a valid OpenGL context on the current thread.

## Member Function Documentation

### `[protected]` QOpenGLInformationService::QOpenGLInformationService(const QString & description = QString())

Creates an instance of QOpenGLInformationService, with a description for the new service. This constructor is protected so only subclasses can instantiate a QOpenGLInformationService object.

### `[pure virtual]` QSurfaceFormat QOpenGLInformationService::format() const

Subclasses should override this function to return the QSurfaceFormat of the OpenGL context in use.